Package com.xebialabs.xlrelease.plugins.dashboard.domain

# Class Dashboard

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.ReleaseExtension
com.xebialabs.xlrelease.plugins.dashboard.domain.Dashboard

All Implemented Interfaces:
  `ConfigurationItem`, `CiWithInternalMetadata`, `TenantAwareCi`, `VisitableItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(versioned=false, description="A dashboard with tiles displayed in XL Release UI") public class Dashboard extends ReleaseExtension implements CiWithInternalMetadata, TenantAwareCi
A dashboard with tiles displayed in XL Release UI.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DASHBOARD_PREFIX`
  `static final String`
  `GLOBAL_PARENT_ID`
  `static final String`
  `HOME_DASHBOARD_ID`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Dashboard()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(ReleaseVisitor visitor)`
  `Map<String,InternalMetadata>`
  `get$metadata()`
  `boolean`
  `getAutoRefresh()`
  `Integer`
  `getAutoRefreshInterval()`
  `Integer`
  `getColumns()`
  `String`
  `getConfigurationUri()`
  `String`
  `getDescription()`
  `Integer`
  `getMaxTiles()`
  `String`
  `getOwner()`
  `String`
  `getParentId()`
  `List<String>`
  `getRoleEditors()`
  `List<String>`
  `getRoleViewers()`
  `Integer`
  `getRows()`
  `String`
  `getScriptLocation()`
  `String`
  `getTemplateLocation()`
  `String`
  `getTenantId()`
  `Tile`
  `getTile(String tileId)`
  `List<Tile>`
  `getTiles()`
  `String`
  `getTitle()`
  `boolean`
  `hasConfigurationScript()`
  `boolean`
  `hasOwner()`
  `boolean`
  `isFolderDashboard()`
  `boolean`
  `isGlobalDashboard()`
  `boolean`
  `isHomeDashboard()`
  `boolean`
  `isReleaseDashboard()`
  `boolean`
  `isSupportedOn(TileScope scope)`
  `void`
  `setAutoRefresh(boolean autoRefresh)`
  `void`
  `setAutoRefreshInterval(Integer autoRefreshInterval)`
  `void`
  `setColumns(Integer columns)`
  `void`
  `setConfigurationUri(String configurationUri)`
  `void`
  `setDescription(String description)`
  `void`
  `setId(String id)`
  `void`
  `setMaxTiles(Integer maxTiles)`
  `void`
  `setOwner(String owner)`
  `void`
  `setParentId(String parentId)`
  `void`
  `setRoleEditors(List<String> roleEditors)`
  `void`
  `setRoleViewers(List<String> roleViewers)`
  `void`
  `setScriptLocation(String scriptLocation)`
  `void`
  `setTemplateLocation(String templateLocation)`
  `void`
  `setTenantId(String tenantId)`
  `void`
  `setTiles(List<Tile> tiles)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.ReleaseExtension

  `getVariableUsages`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setProperty`

- ## Field Details

  - ### GLOBAL_PARENT_ID

    public static final String GLOBAL_PARENT_ID

  - ### DASHBOARD_PREFIX

    public static final String DASHBOARD_PREFIX
    See Also:
      - Constant Field Values

  - ### HOME_DASHBOARD_ID

    public static final String HOME_DASHBOARD_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Dashboard

    public Dashboard()

- ## Method Details

  - ### setId

    public void setId(String id)
    Specified by:
      `setId` in interface `ConfigurationItem`
    Overrides:
      `setId` in class `BaseConfigurationItem`

  - ### isSupportedOn

    public boolean isSupportedOn(TileScope scope)

  - ### hasOwner

    public boolean hasOwner()

  - ### getTile

    public Tile getTile(String tileId)

  - ### hasConfigurationScript

    public boolean hasConfigurationScript()

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getParentId

    public String getParentId()

  - ### setParentId

    public void setParentId(String parentId)

  - ### getOwner

    public String getOwner()

  - ### setOwner

    public void setOwner(String owner)

  - ### getTiles

    public List<Tile> getTiles()

  - ### setTiles

    public void setTiles(List<Tile> tiles)

  - ### getRoleViewers

    public List<String> getRoleViewers()

  - ### setRoleViewers

    public void setRoleViewers(List<String> roleViewers)

  - ### getRoleEditors

    public List<String> getRoleEditors()

  - ### setRoleEditors

    public void setRoleEditors(List<String> roleEditors)

  - ### accept

    public void accept(ReleaseVisitor visitor)
    Specified by:
      `accept` in interface `VisitableItem`
    Overrides:
      `accept` in class `ReleaseExtension`

  - ### get$metadata

    public Map<String,InternalMetadata> get$metadata()
    Specified by:
      `get$metadata` in interface `CiWithInternalMetadata`

  - ### isReleaseDashboard

    public boolean isReleaseDashboard()

  - ### isFolderDashboard

    public boolean isFolderDashboard()

  - ### isGlobalDashboard

    public boolean isGlobalDashboard()

  - ### isHomeDashboard

    public boolean isHomeDashboard()

  - ### getRows

    public Integer getRows()

  - ### getColumns

    public Integer getColumns()

  - ### setColumns

    public void setColumns(Integer columns)

  - ### getConfigurationUri

    public String getConfigurationUri()

  - ### setConfigurationUri

    public void setConfigurationUri(String configurationUri)

  - ### getScriptLocation

    public String getScriptLocation()

  - ### setScriptLocation

    public void setScriptLocation(String scriptLocation)

  - ### getTemplateLocation

    public String getTemplateLocation()

  - ### setTemplateLocation

    public void setTemplateLocation(String templateLocation)

  - ### getAutoRefresh

    public boolean getAutoRefresh()

  - ### setAutoRefresh

    public void setAutoRefresh(boolean autoRefresh)

  - ### getAutoRefreshInterval

    public Integer getAutoRefreshInterval()

  - ### setAutoRefreshInterval

    public void setAutoRefreshInterval(Integer autoRefreshInterval)

  - ### getMaxTiles

    public Integer getMaxTiles()

  - ### setMaxTiles

    public void setMaxTiles(Integer maxTiles)

  - ### getTenantId

    public String getTenantId()
    Specified by:
      `getTenantId` in interface `TenantAwareCi`

  - ### setTenantId

    public void setTenantId(String tenantId)
    Specified by:
      `setTenantId` in interface `TenantAwareCi`